Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.query
Class DeleteBatchQuery

    java.lang.Object
      org.apache.cayenne.query.BatchQuery
          org.apache.cayenne.query.DeleteBatchQuery

All Implemented Interfaces:
  java.io.Serializable, Query

    public class DeleteBatchQuery

extends BatchQuery

Batched delete query.

Author:
  Andriy Shapochka
See Also:
  Serialized Form

Field Summary
`protected java.util.List` | `dbAttributes`
`protected java.util.List` | `qualifierSnapshots`
`protected boolean` | `usingOptimisticLocking`

Fields inherited from class org.apache.cayenne.query.BatchQuery
`batchIndex, dbEntity, name`

Constructor Summary
`DeleteBatchQuery(DbEntity dbEntity, int batchCapacity)` Creates new DeleteBatchQuery.
`DeleteBatchQuery(DbEntity dbEntity, java.util.List qualifierAttributes, java.util.Collection nullQualifierNames, int batchCapacity)` Creates new DeleteBatchQuery.

Method Summary
`void` | `add(java.util.Map dataObjectId)`
`java.util.Map` | `getCurrentQualifier()` Returns a snapshot of the current qualifier values.
`java.util.List` | `getDbAttributes()` Returns a list of DbAttributes describing batch parameters.
`java.util.List` | `getQualifierAttributes()`
`java.lang.Object` | `getValue(int dbAttributeIndex)` Returns a value at a given index for the current batch iteration.
`boolean` | `isNull(DbAttribute attribute)` Returns true if a given attribute always has a null value in the batch.
`boolean` | `isUsingOptimisticLocking()` Returns true if the batch query uses optimistic locking.
`void` | `setUsingOptimisticLocking(boolean usingOptimisticLocking)`
`int` | `size()` Returns the number of parameter rows in a batch.

Methods inherited from class org.apache.cayenne.query.BatchQuery
`createSQLAction, getDbEntity, getMetaData, getName, getObject, getObjectId, getRoot, getValue, getValuesForUpdateParameters, isEmpty, next, reset, route, setName, setRoot`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### qualifierSnapshots

    protected java.util.List qualifierSnapshots

### dbAttributes

    protected java.util.List dbAttributes

### usingOptimisticLocking

    protected boolean usingOptimisticLocking

Constructor Detail

### DeleteBatchQuery

    public DeleteBatchQuery(DbEntity dbEntity,
                            int batchCapacity)

  Creates new DeleteBatchQuery. Used by ContextCommit.categorizeFlattenedDeletesAndCreateBatches for deleting flattenned relationships.

  Parameters:
    `dbEntity` - Table or view to delete.
    `batchCapacity` - Estimated size of the batch.

### DeleteBatchQuery

    public DeleteBatchQuery(DbEntity dbEntity,
                            java.util.List qualifierAttributes,
                            java.util.Collection nullQualifierNames,
                            int batchCapacity)

  Creates new DeleteBatchQuery.

  Parameters:
    `dbEntity` - Table or view to delete.
    `qualifierAttributes` - DbAttributes used in the WHERE clause.
    `nullQualifierNames` - DbAttribute names in the WHERE clause that have null values.
    `batchCapacity` - Estimated size of the batch.

Method Detail

### isNull

    public boolean isNull(DbAttribute attribute)

  Returns true if a given attribute always has a null value in the batch.

  Since:
    1.2

### isUsingOptimisticLocking

    public boolean isUsingOptimisticLocking()

  Returns true if the batch query uses optimistic locking.

  Overrides:
    `isUsingOptimisticLocking` in class `BatchQuery`
  Since:
    1.2

### setUsingOptimisticLocking

    public void setUsingOptimisticLocking(boolean usingOptimisticLocking)

  Since:
    1.2

### getQualifierAttributes

    public java.util.List getQualifierAttributes()

  Since:
    1.2

### getValue

    public java.lang.Object getValue(int dbAttributeIndex)

  Description copied from class: `BatchQuery`
  Returns a value at a given index for the current batch iteration.

  Specified by:
    `getValue` in class `BatchQuery`

### add

    public void add(java.util.Map dataObjectId)

### size

    public int size()

  Description copied from class: `BatchQuery`
  Returns the number of parameter rows in a batch.

  Specified by:
    `size` in class `BatchQuery`

### getDbAttributes

    public java.util.List getDbAttributes()

  Description copied from class: `BatchQuery`
  Returns a list of DbAttributes describing batch parameters.

  Specified by:
    `getDbAttributes` in class `BatchQuery`

### getCurrentQualifier

    public java.util.Map getCurrentQualifier()

  Returns a snapshot of the current qualifier values.

  Since:
    1.2

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 Apache.org All Rights Reserved.